Commit 7eb7278a authored by Ghislain MARY's avatar Ghislain MARY

No longer put the "-stdlib=libc++" build option since we now target Mac OS X 10.9.

parent be9c9d77
......@@ -45,9 +45,8 @@ if(APPLE)
set(CMAKE_OSX_DEPLOYMENT_TARGET ${CURRENT_SDK_VERSION})
endif()
endif()
if(CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "10.8")
# Resolve conflict between c++ libraries when building C++11 libraries on Mac OS X 10.7
set(LINPHONE_BUILDER_CXXFLAGS "-stdlib=libc++")
if(CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "10.9")
message(FATAL_ERROR "Minimal OS X deployment target of 10.9 required!")
endif()
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
......
......@@ -61,9 +61,8 @@ if (UNIX)
)
list(GET MAC_PLATFORM 0 CMAKE_OSX_DEPLOYMENT_TARGET)
endif()
if(CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "10.8")
# Resolve conflict between c++ libraries when building C++11 libraries on Mac OS X 10.7
set(LINPHONE_BUILDER_CXXFLAGS "-stdlib=libc++")
if(CMAKE_OSX_DEPLOYMENT_TARGET VERSION_LESS "10.9")
message(FATAL_ERROR "Minimal OS X deployment target of 10.9 required!")
endif()
set(CMAKE_OSX_ARCHITECTURES "x86_64")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment